# This file created by conda-build 3.17.6
# ------------------------------------------------

package:
    name: py-lief
    version: 0.9.0
source:
    -   fn: lief-0.9.0.tar.gz
        patches:
            - 0001-Allow-building-from-released-tarball.patch
            - 0002-MSVC-Add-bigobj-flag.patch
            - 0003-Export-LIEF-Object-and-LIEF-MachO-DataCodeEntry-clas.patch
            - 0004-MachO-Fix-has_dynamic_symbol_command.patch
            - 0005-Link-Python-extension-module-to-shared-LIEF-library.patch
        sha256: 8f1a12d69d9f6bd8404d4f5809549d1c7f3138cacf3bccd1192cb4f46bfb9eb7
        url: https://github.com/lief-project/LIEF/archive/0.9.0.tar.gz
build:
    number: 2
    run_exports:
        - py-lief >=0.9.0,<0.10.0a0
    string: py27h7725739_2
requirements:
    build:
        - binutils_impl_linux-64 2.31.1 h6176602_1
        - binutils_linux-64 2.31.1 h6176602_6
        - bzip2 1.0.6 h14c3975_5
        - ca-certificates 2018.03.07 0
        - cmake 3.12.2 h52cb24c_0
        - expat 2.2.6 he6710b0_0
        - gcc_impl_linux-64 7.3.0 habb00fd_1
        - gcc_linux-64 7.3.0 h553295d_6
        - git 2.19.1 pl526hacde149_0
        - gxx_impl_linux-64 7.3.0 hdf63c60_1
        - gxx_linux-64 7.3.0 h553295d_6
        - krb5 1.16.1 h173b8e3_7
        - libcurl 7.63.0 h20c2e04_1000
        - libedit 3.1.20170329 h6b74fdf_2
        - libgcc-ng 8.2.0 hdf63c60_1
        - libssh2 1.8.0 h1ba5d50_4
        - libstdcxx-ng 8.2.0 hdf63c60_1
        - make 4.2.1 h1bed415_1
        - ncurses 6.1 he6710b0_1
        - openssl 1.1.1a h7b6447c_0
        - perl 5.26.2 h14c3975_0
        - pkg-config 0.29.2 h1bed415_8
        - rhash 1.3.6 h1ba5d50_0
        - tk 8.6.8 hbc83047_0
        - xz 5.2.4 h14c3975_4
        - zlib 1.2.11 h7b6447c_3
    host:
        - ca-certificates 2018.03.07 0
        - certifi 2018.11.29 py27_0
        - libedit 3.1.20170329 h6b74fdf_2
        - libffi 3.2.1 hd88cf55_4
        - libgcc-ng 8.2.0 hdf63c60_1
        - liblief 0.9.0 h7725739_2
        - libstdcxx-ng 8.2.0 hdf63c60_1
        - ncurses 6.1 he6710b0_1
        - openssl 1.1.1a h7b6447c_0
        - python 2.7.15 h9bab390_6
        - readline 7.0 h7b6447c_5
        - setuptools 40.6.3 py27_0
        - sqlite 3.26.0 h7b6447c_0
        - tk 8.6.8 hbc83047_0
        - zlib 1.2.11 h7b6447c_3
    run:
        - libgcc-ng >=7.3.0
        - liblief 0.9.0 h7725739_2
        - libstdcxx-ng >=7.3.0
        - python >=2.7,<2.8.0a0
test:
    imports:
        - lief
    requires:
        - gxx_linux-64 7.3.0.*
about:
    description: 'It turns out that many projects need to parse executable formats
        and they usually re-implement

        their own parser. Moreover these parsers are usually bound to one language.

        LIEF attempts to fill this void.

        '
    doc_source_url: https://github.com/lief-project/LIEF/tree/master/doc
    doc_url: https://lief.quarkslab.com/doc/stable/index.html
    home: https://lief.quarkslab.com/
    license: Apache 2.0
    license_family: Apache
    summary: A cross platform library to parse, modify and abstract ELF, PE and MachO
        formats.
extra:
    copy_test_source_files: true
    final: true
